## gate.util
Class TestFeatureMap

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.util.TestFeatureMap

All Implemented Interfaces:
  junit.framework.Test

public class TestFeatureMap
extends junit.framework.TestCase

Title: Gate2 Description: Copyright: Copyright (c) 2000 Company: University Of Sheffield

Constructor Summary
`TestFeatureMap(String name)` Construction

Method Summary
`static void` `main(String[] args)`
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testPutAndGet()` Test the testPutAndGet()...
`void` `testSubsume()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestFeatureMap

    public TestFeatureMap(String name)

  Construction

Method Detail

### testPutAndGet

    public void testPutAndGet()
                       throws Exception

  Test the testPutAndGet()... methods.

### testSubsume

    public void testSubsume()
                     throws Exception

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### main

    public static void main(String[] args)